var Core = {
    getTwoNumber: function (num) {
	var nstr = num.toString(); 
        if (nstr.length < 2) {
		return '0' + nstr;
	}
	return nstr;
    },
    getTimeString: function (tm) {
  	var tm_str = Core.getTwoNumber(tm.getDate()) +'.' + Core.getTwoNumber(tm.getMonth()+1) + '.' + tm.getFullYear();
  	tm_str += ' ' + Core.getTwoNumber(tm.getHours()) + ':' + Core.getTwoNumber(tm.getMinutes()) + ':' + Core.getTwoNumber(tm.getSeconds()); 
	return tm_str;
    },
    getCurTimeString: function () {
	var tm = new Date();
  	var tm_str = Core.getTwoNumber(tm.getHours()) + ':' + Core.getTwoNumber(tm.getMinutes()) + ':' + Core.getTwoNumber(tm.getSeconds()); 
	return tm_str;
    },
    getTimeDate: function (str) {
	var tmdt = str.split(" ");
	if (tmdt.length < 2) return new Date();
	var dt = tmdt[0].split(".");
	if (dt.length < 3) return new Date();
	var tm = tmdt[1].split(":");
	if (tm.length < 3) return new Date();
	return new Date(parseInt(dt[2]), parseInt(dt[1]) - 1, parseInt(dt[0]), parseInt(tm[0]), parseInt(tm[1]), parseInt(tm[2]));
    },
    RecalcDOMSize: function () {
        var width = $(window).width();
        var height = $(window).height();
        $('#report-container').css({
            width: width,
            height: height - 60
        });
    }
};

$(document).ready(function() {
        $(window).resize(function () {
            Core.RecalcDOMSize();
        });	
	Core.RecalcDOMSize();

        var formList = $('#form-data');
	$(formList).append($('<input type="hidden" id="tz" name="tz" value="' + new Date().getTimezoneOffset() + '" />'));
	var begdate = $('#begintime').val();
	var enddate = $('#endtime').val();
	if (begdate.length == 0 || enddate.length == 0) {
		var now = new Date(); 
  		$('#endtime').val(Core.getTimeString(now));
		$('#begintime').val(Core.getTimeString(new Date(now.getTime() - 14 * 24 * 3600 * 1000)));
	};
	$('#begintime').datepicker({
		changeMonth: true,
		changeYear: true,
		dateFormat: 'dd.mm.yy',
		firstDay: 1, changeFirstDay: false,
		navigationAsDateFormat: false,
		duration: 0,//   
		onSelect: function() {
			datepickerYaproSetTime();
		},
		onClose: function() {
			var begdate = Core.getTimeDate($(this).val());
			var enddate = Core.getTimeDate($('#endtime').val());
			var now = new Date(); 
			if (begdate == undefined) {
				begdate = now;
				$(this).val(Core.getTimeString(now));
				return;
			}
			if (begdate.getTime() > (new Date()).getTime()) {
				begdate = now;
				$(this).val(Core.getTimeString(now));
			}
			if (begdate.getTime() > enddate.getTime()) {
				$('#endtime').val(Core.getTimeString(begdate));
				return;
			}
			if (enddate.getTime() - begdate.getTime() > 70 * 24 * 3600 * 1000) {
				$('#endtime').val(Core.getTimeString(new Date(begdate.getTime() + 70 * 24 * 3600 * 1000)));
				return;
			}
		}  
	}).click(function(){//   
		$(".datepickerYaproSelected").removeClass("datepickerYaproSelected");//      
		$(this).addClass("datepickerYaproSelected");//       INPUT
		datepickerYaproSetClockSelect();//    SELECT
	});
	$('#endtime').datepicker({
		changeMonth: true,
		changeYear: true,
		dateFormat: 'dd.mm.yy',
		firstDay: 1, changeFirstDay: false,
		navigationAsDateFormat: false,
		duration: 0,//   
		onSelect: function() {
			datepickerYaproSetTime();
		},
		onClose: function() {
			var enddate = Core.getTimeDate($(this).val());
			var begdate = Core.getTimeDate($('#begintime').val());
			var now = new Date(); 
			if (enddate == undefined) {
				enddate = now;
				$(this).val(Core.getTimeString(now));
			}
			if (enddate.getTime() > now.getTime()) {
				enddate = now;
				$(this).val(Core.getTimeString(now));
			}
			if (begdate.getTime() > enddate.getTime()) {
				$('#begintime').val(Core.getTimeString(enddate));
				return;
			}
			if (enddate.getTime() - begdate.getTime() > 70 * 24 * 3600 * 1000) {
				$('#begintime').val(Core.getTimeString(new Date(enddate.getTime() - 70 * 24 * 3600 * 1000)));
				return;
			}
		}  
	}).click(function(){//   
		$(".datepickerYaproSelected").removeClass("datepickerYaproSelected");//      
		$(this).addClass("datepickerYaproSelected");//       INPUT
		datepickerYaproSetClockSelect();//    SELECT
	});
});
